Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class LinkHeadElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.LinkHeadElement

public class LinkHeadElement
extends SinglePartElement

A LinkHeadElement is used to add a LINK element to the head portion of an HtmlPage. A LINK element is used to indicate authorship, related indexes and glossaries, older or more recent versions of a document; LINK may also be used to develop a tree structure with "up," "next," etc.

A LinkHeadElement is used to identify the location of a style sheet file, as follows:

     page.getHead()
         .addElement(new LinkHeadElement(LinkHeadElement.relTag,
                                         LinkHeadElement.relStylesheet,
                                         "http://bigbox.com/mysheet.css",
                                         "CompactStyle"));

Link information includes REL/REV (relative or reverse) and HREF, which points to another URI that is related to the current page. You can use the pair LinkHeadElement.relTag and LinkHeadElement.relBanner to reference another document to be used as a banner, and the pair LinkHeadElement.relTag and LinkHeadElement.relBookmark to provide direct links to key entry points into an extended document.

Use the final static Strings in this class as arguments for the constructors. LinkHeadElement is repeatable. Add a LinkHeadElement to an HtmlPage after the HtmlPage.getHead() method with HtmlElement.addElement().

Version:
  2.1
Author:
  Copyright (c) 1996, by Weblogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `relBanner` Deprecated. Constant for the attrib argument to set a BANNER attribute.
`static java.lang.String` | `relBookmark` Deprecated. Constant for the attrib argument to set a BOOKMARK attribute.
`static java.lang.String` | `relCopyright` Deprecated. Constant for the attrib argument to set a COPYRIGHT attribute.
`static java.lang.String` | `relGlossary` Deprecated. Constant for the attrib argument to set a GLOSSARY attribute.
`static java.lang.String` | `relHelp` Deprecated. Constant for the attrib argument to set a HELP attribute.
`static java.lang.String` | `relHome` Deprecated. Constant for the attrib argument to set a HOME attribute.
`static java.lang.String` | `relIndex` Deprecated. Constant for the attrib argument to set an INDEX attribute.
`static java.lang.String` | `relNext` Deprecated. Constant for the attrib argument to set a NEXT attribute.
`static java.lang.String` | `relPrevious` Deprecated. Constant for the attrib argument to set a PREVIOUS attribute.
`static java.lang.String` | `relStylesheet` Deprecated. Constant for the attrib argument to set a STYLESHEET attribute.
`static java.lang.String` | `relTag` Deprecated. Constant for the tag argument to set a REL attribute.
`static java.lang.String` | `relToc` Deprecated. Constant for the attrib argument to set a TOC attribute.
`static java.lang.String` | `relUp` Deprecated. Constant for the attrib argument to set an UP attribute.
`static java.lang.String` | `revMade` Deprecated. Constant for the attrib argument to set a MADE attribute.
`static java.lang.String` | `revTag` Deprecated. Constant for the tag argument to set a REV attribute.

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`LinkHeadElement()` Deprecated. Constructs an empty LinkHeadElement.
`LinkHeadElement(java.lang.String tag, java.lang.String attrib, java.lang.String href)` Deprecated. Constructs a LinkHeadElement with the specified tag and attribute, set to the specified URI.
`LinkHeadElement(java.lang.String tag, java.lang.String attrib, java.lang.String href, java.lang.String title)` Deprecated. Constructs a LinkHeadElement with the specified tag and attribute, set to the specified URI, with the suggested title for the referenced URI.

Method Summary
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printBody()` Deprecated.
`protected boolean` | `printCR()` Deprecated.
`protected boolean` | `printEndingTag()` Deprecated.
`LinkHeadElement` | `setAttribute(java.lang.String tag, java.lang.String attrib)` Deprecated. Sets the tag and attribute for a LinkHeadElement.
`LinkHeadElement` | `setHref(java.lang.String href)` Deprecated. Sets the URL for a LinkHeadElement.
`LinkHeadElement` | `setTitle(java.lang.String title)` Deprecated. Sets the suggested title for the referenced URL of a LinkHeadElement.

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### relTag

    public static final java.lang.String relTag

  Deprecated.
  Constant for the tag argument to set a REL attribute.

### revTag

    public static final java.lang.String revTag

  Deprecated.
  Constant for the tag argument to set a REV attribute.

### relBanner

    public static final java.lang.String relBanner

  Deprecated.
  Constant for the attrib argument to set a BANNER attribute.

### relBookmark

    public static final java.lang.String relBookmark

  Deprecated.
  Constant for the attrib argument to set a BOOKMARK attribute.

### relCopyright

    public static final java.lang.String relCopyright

  Deprecated.
  Constant for the attrib argument to set a COPYRIGHT attribute.

### relGlossary

    public static final java.lang.String relGlossary

  Deprecated.
  Constant for the attrib argument to set a GLOSSARY attribute.

### relHelp

    public static final java.lang.String relHelp

  Deprecated.
  Constant for the attrib argument to set a HELP attribute.

### relHome

    public static final java.lang.String relHome

  Deprecated.
  Constant for the attrib argument to set a HOME attribute.

### relIndex

    public static final java.lang.String relIndex

  Deprecated.
  Constant for the attrib argument to set an INDEX attribute.

### revMade

    public static final java.lang.String revMade

  Deprecated.
  Constant for the attrib argument to set a MADE attribute.

### relNext

    public static final java.lang.String relNext

  Deprecated.
  Constant for the attrib argument to set a NEXT attribute.

### relPrevious

    public static final java.lang.String relPrevious

  Deprecated.
  Constant for the attrib argument to set a PREVIOUS attribute.

### relStylesheet

    public static final java.lang.String relStylesheet

  Deprecated.
  Constant for the attrib argument to set a STYLESHEET attribute.

### relToc

    public static final java.lang.String relToc

  Deprecated.
  Constant for the attrib argument to set a TOC attribute.

### relUp

    public static final java.lang.String relUp

  Deprecated.
  Constant for the attrib argument to set an UP attribute.

Constructor Detail

### LinkHeadElement

    public LinkHeadElement()

  Deprecated.
  Constructs an empty LinkHeadElement.

### LinkHeadElement

    public LinkHeadElement(java.lang.String tag,
                           java.lang.String attrib,
                           java.lang.String href)

  Deprecated.
  Constructs a LinkHeadElement with the specified tag and attribute, set to the specified URI. Use final static Strings provided with this class to set tag and attribute.

  Parameters:
    `tag` - LinkHeadElement.rel or LinkHeadElement.rev
    `attrib` - Static relationship attribute
    `href` - URI of related document

### LinkHeadElement

    public LinkHeadElement(java.lang.String tag,
                           java.lang.String attrib,
                           java.lang.String href,
                           java.lang.String title)

  Deprecated.
  Constructs a LinkHeadElement with the specified tag and attribute, set to the specified URI, with the suggested title for the referenced URI. Use final static Strings provided with this class to set tag and attribute.

  Parameters:
    `tag` - Static tag for relationship
    `attrib` - Static relationship attribute
    `href` - URI of related document
    `title` - Suggested title for referenced URI

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printEndingTag

    protected boolean printEndingTag()

  Deprecated.

  Overrides:
    printEndingTag in class ElementWithAttributes

### printBody

    protected boolean printBody()

  Deprecated.

  Overrides:
    printBody in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

### setAttribute

    public LinkHeadElement setAttribute(java.lang.String tag,
                                        java.lang.String attrib)

  Deprecated.
  Sets the tag and attribute for a LinkHeadElement.

  Parameters:
    `tag` - Final static String tag for relationship
    `attrib` - Final static String for relationship attribute
  Returns:
    LinkHeadElement

### setHref

    public LinkHeadElement setHref(java.lang.String href)

  Deprecated.
  Sets the URL for a LinkHeadElement.

  Parameters:
    `url` - URL for the related document
  Returns:
    LinkHeadElement

### setTitle

    public LinkHeadElement setTitle(java.lang.String title)

  Deprecated.
  Sets the suggested title for the referenced URL of a LinkHeadElement.

  Parameters:
    `title` - Title for related page
  Returns:
    LinkHeadElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD